log4shib::TimeStampComponent(3)

NAME
log4shib::TimeStampComponent

SYNOPSIS

Inherits log4shib::PatternLayout::PatternComponent.

  Public Member Functions
TimeStampComponent (std::string timeFormat)
virtual void append (std::ostringstream &out, const LoggingEvent &event)

  Static Public Attributes
static const char *const FORMAT_ISO8601 = '%Y-%m-%d %H:%M:%S,%l'
static const char *const FORMAT_ABSOLUTE = '%H:%M:%S,%l'
static const char *const FORMAT_DATE = '%d %b %Y %H:%M:%S,%l'

Constructor & Destructor Documentation

  log4shib::TimeStampComponent::TimeStampComponent (std::string timeFormat) [inline]

Member Function Documentation

  virtual void log4shib::TimeStampComponent::append (std::ostringstream & out, const LoggingEvent & event) [inline], [virtual]

Implements log4shib::PatternLayout::PatternComponent.

Member Data Documentation

  const char *const log4shib::TimeStampComponent::FORMAT_ABSOLUTE = '%H:%M:%S,%l' [static]

  const char *const log4shib::TimeStampComponent::FORMAT_DATE = '%d %b %Y %H:%M:%S,%l' [static]

  const char *const log4shib::TimeStampComponent::FORMAT_ISO8601 = '%Y-%m-%d %H:%M:%S,%l' [static]

Author

Generated automatically by Doxygen for log4shib from the source code.